%global xfceversion 4.18

Name:           xfce4-settings
Version:        4.18.4
Release:        1
Summary:        Settings Manager for Xfce
License:        GPLv2+
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2
# theme and font settings

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  exo-devel >= 0.5.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libxfce4util-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils >= 0.7
BuildRequires:  libnotify-devel
BuildRequires:  colord-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libxklavier-devel
BuildRequires:  xorg-x11-drv-libinput-devel
BuildRequires:  libXrandr-devel
BuildRequires:  garcon-devel >= 0.1.10
Requires:       xfconf

%description
This package includes the settings manager applications for the Xfce desktop. 

%prep
%setup -q

%build
%configure --enable-sound-settings --enable-pluggable-dialogs --enable-maintainer-mode --enable-xorg-libinput
%make_build

%install
%make_install

for file in %{buildroot}%{_datadir}/applications/*.desktop ; do
    desktop-file-install \
        --add-category="X-XFCE" \
        --remove-category="XFCE" \
        --delete-original \
        --dir=%{buildroot}%{_datadir}/applications \
        $file
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%config(noreplace) %{_sysconfdir}/xdg/xfce4/helpers.rc
%{_bindir}/xfce4-mime-helper
%{_bindir}/xfce4-*-settings
%{_bindir}/xfce4-settings-editor
%{_bindir}/xfce4-settings-manager
%{_bindir}/xfsettingsd
%{_bindir}/xfce4-find-cursor
%{_datadir}/applications/xfce*.desktop
%{_libdir}/xfce4
%{_datadir}/icons/hicolor/*/*/*xfce*
%{_datadir}/xfce4/helpers/*.desktop

%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 4.18.4-1
- Update to 4.18.4

* Wed Jan 4 2023 Dillon Chen <dillon.chen@gmail.com> - 4.18.1-1
- Update to 4.18.1

* Thu Nov 10 2022 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 4.16.2-2
- Fix CVE-2022-45062

* Mon Jun 20 2022 zhanglin <lin.zhang@turbolinux.com.cn> - 4.16.2-1
- Update to 4.16.2

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 4.16.0-1
- Update to 4.16.0

* Sun Jul 12 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 4.14.3-1
- Init package
